<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Departament.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.domain</a> &gt; <span class="el_source">Departament.java</span></div><h1>Departament.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.domain;


import com.fasterxml.jackson.annotation.JsonIgnore;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;
import javax.validation.constraints.*;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;
import java.util.Objects;

/**
 * A Departament.
 */
@Entity
@Table(name = &quot;departament&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L22">public class Departament implements Serializable {</span>

    private static final long serialVersionUID = 1L;
    
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = &quot;sequenceGenerator&quot;)
    @SequenceGenerator(name = &quot;sequenceGenerator&quot;)
    private Long id;

    @NotNull
    @Column(name = &quot;nume_departament&quot;, nullable = false)
    private String numeDepartament;

<span class="fc" id="L35">    @OneToMany(mappedBy = &quot;departament&quot;)</span>
    @Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
    private Set&lt;Angajat&gt; angajats = new HashSet&lt;&gt;();
    // jhipster-needle-entity-add-field - JHipster will add fields here, do not remove
    public Long getId() {
<span class="fc" id="L40">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L44">        this.id = id;</span>
<span class="fc" id="L45">    }</span>

    public String getNumeDepartament() {
<span class="fc" id="L48">        return numeDepartament;</span>
    }

    public Departament numeDepartament(String numeDepartament) {
<span class="fc" id="L52">        this.numeDepartament = numeDepartament;</span>
<span class="fc" id="L53">        return this;</span>
    }

    public void setNumeDepartament(String numeDepartament) {
<span class="fc" id="L57">        this.numeDepartament = numeDepartament;</span>
<span class="fc" id="L58">    }</span>

    public Set&lt;Angajat&gt; getAngajats() {
<span class="fc" id="L61">        return angajats;</span>
    }

    public Departament angajats(Set&lt;Angajat&gt; angajats) {
<span class="nc" id="L65">        this.angajats = angajats;</span>
<span class="nc" id="L66">        return this;</span>
    }

    public Departament addAngajat(Angajat angajat) {
<span class="nc" id="L70">        this.angajats.add(angajat);</span>
<span class="nc" id="L71">        angajat.setDepartament(this);</span>
<span class="nc" id="L72">        return this;</span>
    }

    public Departament removeAngajat(Angajat angajat) {
<span class="nc" id="L76">        this.angajats.remove(angajat);</span>
<span class="nc" id="L77">        angajat.setDepartament(null);</span>
<span class="nc" id="L78">        return this;</span>
    }

    public void setAngajats(Set&lt;Angajat&gt; angajats) {
<span class="nc" id="L82">        this.angajats = angajats;</span>
<span class="nc" id="L83">    }</span>
    // jhipster-needle-entity-add-getters-setters - JHipster will add getters and setters here, do not remove

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L88" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L89">            return true;</span>
        }
<span class="fc bfc" id="L91" title="All 4 branches covered.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L92">            return false;</span>
        }
<span class="fc" id="L94">        Departament departament = (Departament) o;</span>
<span class="fc bfc" id="L95" title="All 4 branches covered.">        if (departament.getId() == null || getId() == null) {</span>
<span class="fc" id="L96">            return false;</span>
        }
<span class="fc" id="L98">        return Objects.equals(getId(), departament.getId());</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L103">        return Objects.hashCode(getId());</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L108">        return &quot;Departament{&quot; +</span>
<span class="fc" id="L109">            &quot;id=&quot; + getId() +</span>
<span class="fc" id="L110">            &quot;, numeDepartament='&quot; + getNumeDepartament() + &quot;'&quot; +</span>
            &quot;}&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>